Package org.apache.tools.ant.types.resources.selectors

## Interface ResourceSelector

- All Known Subinterfaces:
    `ExtendFileSelector`, `FileSelector`
  All Known Implementing Classes:
    `And`, `AndSelector`, `BaseExtendSelector`, `BaseSelector`, `BaseSelectorContainer`, `Compare`, `ContainsRegexpSelector`, `ContainsSelector`, `Date`, `DateSelector`, `DependSelector`, `DepthSelector`, `DifferentSelector`, `ExecutableSelector`, `Exists`, `ExtendSelector`, `FilenameSelector`, `InstanceOf`, `Majority`, `MajoritySelector`, `MappingSelector`, `ModifiedSelector`, `Name`, `None`, `NoneSelector`, `Not`, `NotSelector`, `Or`, `OrSelector`, `OwnedBySelector`, `PosixGroupSelector`, `PosixPermissionsSelector`, `PresentSelector`, `ReadableSelector`, `ScriptSelector`, `SelectSelector`, `SignedSelector`, `Size`, `SizeSelector`, `SymlinkSelector`, `Type`, `TypeSelector`, `WindowsJunctionSelector`, `WritableSelector`

      public interface ResourceSelector

  Interface for a Resource selector.
  Since:
    Ant 1.7

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isSelected​(Resource r)` | Return true if this Resource is selected.

- - ### Method Detail

    - #### isSelected

          boolean isSelected​(Resource r)

      Return true if this Resource is selected.
      Parameters:
        `r` - the Resource to check.
      Returns:
        whether the Resource was selected.